<?xml version ="1.0" encoding="utf-8"?>
<!-- Copyright 2019 Intelligenti.io
     License OPL-1 (See LICENSE file for full copyright and licensing details). -->
<odoo>
    <record model="ir.ui.view" id="invoice_form">
        <field name="name">account.invoice.donor</field>
        <field name="model">account.invoice</field>
        <field name="inherit_id" ref="account.invoice_form"/>
        <field name="arch" type="xml">
            <xpath expr="//div[@name='button_box']" position="inside">
                <button name="action_view_pledge" type="object"
                        class="oe_stat_button" icon="fa-gratipay"
                        attrs="{'invisible': [('sale_subscription_count', '=', 0)]}">
                    <field name="sale_subscription_count" widget="statinfo" string="Pledges"/>
                </button>
	        </xpath>
            <button name="%(account.action_account_invoice_refund)d" position="replace">
                <button name="%(account.action_account_invoice_refund)d" type='action' string='Add Credit Note' groups="intel_donor_enhancement.group_donor_refund" attrs="{'invisible': ['|',('type', '=', 'out_refund'), ('state', 'not in', ('open','paid'))]}"/>
            </button>

            <button name="%(account.action_account_invoice_refund)d" position="before">
                <button name="action_change_donor" string="Change Donor" type="object" groups="intel_donor_enhancement.group_donor_authorization" class="oe_highlight"/>
            </button>
            <xpath expr="//form[1]/sheet[1]/notebook[1]" position="inside">
                <page string="Changed Donor" groups="intel_donor_enhancement.group_donor_authorization">
                    <field name="donor_log_ids" readonly="1">
                        <tree string="Donor Logs">
                            <field name="donor_id"/>
                            <field name="new_donor_id"/>
                            <field name="relationship_id"/>
                            <field name="reason"/>
                            <field name="create_date"/>
                            <field name="create_uid"/>
                        </tree>
                        <form string="Donor Log">
                            <group>
                                <field name="donor_id"/>
                                <field name="new_donor_id"/>
                                <field name="relationship_id"/>
                                <field name="reason"/>
                                <field name="create_date"/>
                                <field name="create_uid"/>
                            </group>
                        </form>
                    </field>
                </page>
            </xpath>
        </field>
    </record>
</odoo>